package com.sd.cavphmi.bean

/****交通信号灯****/
data class TrafficLightBean(
    val signalgroup: List<Signalgroup>,
    val timestamp: String
)

data class Signalgroup(
    val idtype: Any,
    val junctionid: String,
    val phase: List<Phase>
)

data class Phase(
    val color: String,
    val countDown: Int,
    val lightmodelid: List<Lightmodelid>,
    val phaseid: String,
    val turnlanesid: List<Turnlanesid>
)

data class Lightmodelid(
    val id: String,
    val phase: Int
)

data class Turnlanesid(
    val id: Int,
    val lane_type: String,
    val text: Any
)